{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "probe-rs debug restart",
      "type": "probe-rs-debug",
      "request": "launch",
      "probe": "303a:1001",
      "chip": "esp32s3",
      "coreConfigs": [
        {
          "programBinary": "target/xtensa-esp32s3-none-elf/debug/acid-firmware"
        }
      ]
    },
    {
      "name": "probe-rs release restart",
      "type": "probe-rs-debug",
      "request": "launch",
      "probe": "303a:1001",
      "chip": "esp32s3",
      "coreConfigs": [
        {
          "programBinary": "target/xtensa-esp32s3-none-elf/release/acid-firmware"
        }
      ]
    },
    {
      "preLaunchTask": "rust: cargo build",
      "name": "probe-rs debug",
      "type": "probe-rs-debug",
      "request": "launch",
      "flashingConfig": {
        "flashingEnabled": true,
      },
      "probe": "303a:1001",
      "chip": "esp32s3",
      "coreConfigs": [
        {
          "programBinary": "target/xtensa-esp32s3-none-elf/debug/acid-firmware"
        }
      ]
    },
    {
      "preLaunchTask": "rust: cargo build --release",
      "name": "probe-rs release",
      "type": "probe-rs-debug",
      "request": "launch",
      "flashingConfig": {
        "flashingEnabled": true,
      },
      "probe": "303a:1001",
      "chip": "esp32s3",
      "coreConfigs": [
        {
          "programBinary": "target/xtensa-esp32s3-none-elf/release/acid-firmware"
        }
      ]
    }
  ]
}
